create user ${HANDLE_USER} with password '${HANDLE_PASSWORD}';                      

create database ${HANDLE_DBNAME} with owner ${HANDLE_USER};


create table nas (
na varchar(255) not null,
PRIMARY KEY(na)
);

create table handles (
handle varchar(255) not null,
idx int4 not null,
type blob,
data blob,
ttl_type int2,
ttl int4,
timestamp int4,
refs blob,
admin_read bool,
admin_write bool,
pub_read bool,
pub_write bool,
PRIMARY KEY(handle, idx)
);

create table nas (
na bytea not null, 
primary key(na));

create table handles (
handle bytea not null,
idx int4 not null,
type bytea, 
data bytea,
ttl_type int2,
ttl int4,
timestamp int4,
refs text,
admin_read bool,
admin_write bool,
pub_read bool,
pub_write bool,
primary key(handle, idx));

create index dataindex on handles ( data );

create index handleindex on handles ( handle );

grant all on nas,handles to ${HANDLE_USER};

grant select on nas,handles to public;
